Commit 0be7e2f3 authored by Luca Giambonini's avatar Luca Giambonini

kde frameworks 5.1.0

parent eb755bd6
......@@ -2,7 +2,7 @@
source ../plasma.conf
pkgname=kf5-baloo
pkgname=baloo-kf5
_pkgname=baloo
pkgver=${PVersion}
pkgrel=1
......@@ -15,9 +15,9 @@ makedepends=('extra-cmake-modules')
checkdepends=("cmake")
groups=('plasma')
options=("debug")
replaces=('baloo5')
provides=('baloo5')
conflics=('baloo5' 'baloo')
replaces=('baloo5' 'kf5-baloo')
provides=('baloo5' 'kf5-baloo')
conflics=('baloo5' 'kf5-baloo' 'baloo')
source=("${PServer}/${pkgver}/${_pkgname}-${pkgver}.tar.xz")
sha256sums=( $(getSum ${_pkgname}) )
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=frameworkintegration
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='Framework providing components to allow applications to integrate with a KDE Workspace'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/frameworkintegration'
license=('LGPL')
depends=('kf5-attica' 'kio' 'kbookmarks')
......
......@@ -4,7 +4,7 @@ KFInstallPrefix="/usr"
KFServer="http://download.kde.org/stable/frameworks/"
# Frameworks version
KFVersion="5.0.0"
KFVersion="5.1.0"
# Build type; can be one of Debug,Release and RelWithDebInfo
KFBuildType="RelWithDebInfo -DQML_INSTALL_DIR=/usr/lib/qt5/qml -DECM_MKSPECS_INSTALL_DIR=/usr/lib/qt5/mkspecs/modules -DPLUGIN_INSTALL_DIR=/usr/lib/kf5/plugins -DQT_PLUGIN_INSTALL_DIR=/usr/lib/qt5/plugins -DSYSCONF_INSTALL_DIR=/etc"
......
This diff is collapsed.
......@@ -3,14 +3,15 @@ source ../frameworks.conf
pkgname=kactivities-frameworks
_pkgname=kactivities
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc="Core components for the KDE's Activities"
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/kde/kdelibs/kactivities'
license=('LGPL')
depends=('qt5-declarative' 'kio')
makedepends=('extra-cmake-modules' 'boost')
options=("debug")
groups=('kf5')
source=("$KFServer/${pkgver}/${_pkgname}-${pkgver}.tar.xz")
sha256sums=( $(getSum ${_pkgname}) )
......
......@@ -4,7 +4,7 @@ source ../frameworks.conf
pkgname=karchive
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='Qt 5 addon providing access to numerous types of archives'
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/karchive'
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kauth
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='KAuth'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kauth'
license=('LGPL')
depends=('kcoreaddons')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kbookmarks
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='KBookmarks'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kbookmarks'
license=('LGPL')
depends=('kxmlgui')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kcmutils
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='Utilities for interacting with KCModules'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kcmutils'
license=('LGPL')
depends=('kxmlgui')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kcodecs
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='Plugins allowing Qt applications to access further types of images'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kcodecs'
license=('LGPL')
depends=('qt5-base')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kcompletion
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='KCompletion'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kcompletion'
license=('LGPL')
depends=('kwidgetsaddons' 'kconfig')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kconfig
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='Offers functionality around reading and writing configuration'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kconfig'
license=('LGPL')
depends=('qt5-base')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kconfigwidgets
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='Widgets for KConfig'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kconfigwidgets'
license=('LGPL')
depends=('kauth' 'kcodecs' 'kconfig' 'karchive' 'kguiaddons' 'ki18n'
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kcoreaddons
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='KCoreAddons'
arch=('i686' 'x86_64')
arch=('x86_64')
url='${KFServer}/kcoreaddons'
license=('LGPL')
depends=('qt5-base' 'shared-mime-info')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kcrash
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='KCrash'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kcrash'
license=('LGPL')
depends=('kcoreaddons' 'kwindowsystem')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kdbusaddons
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='Provides API for registering services, KDED modules and applications according to Freedesktop standards.'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdbusaddons'
license=('LGPL')
depends=('qt5-base' 'qt5-x11extras')
......
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
This diff is collapsed.
......@@ -203,91 +203,3 @@ _build_desktop_kde414="chakra-common
# After:
# kde-l10n-*
# digikam
_build_desktop_plasma="
kfilemetadata5
akonadi-qt5
baloo5
breeze
kde-cli-tools
libkscreen2
kio-extras
oxygen
oxygen-fonts
kwrited
kwin
libksysguard
ksysguard
plasma-workspace
powerdevil
#kde-workspace
khelpcenter
khotkeys
kinfocenter
kmenuedit
milou
systemsettings
plasma-desktop"
_build_desktop_kf5="
extra-cmake-modules
kapidox
kf5-attica
ki18n
kconfig
kcoreaddons
kwindowsystem
kcrash
kdbusaddons
karchive
kdoctools
kservice
kauth
kcodecs
kguiaddons
kwidgetsaddons
kconfigwidgets
kitemviews
kiconthemes
kcompletion
sonnet
ktextwidgets
kglobalaccel
kxmlgui
kbookmarks
libdbusmenu-qt5
knotifications
kwallet
solid
kjobwidgets
kio
kactivities-frameworks
kcmutils
kdeclarative
kinit
kded
kparts
kplotting
kdewebkit
kdesignerplugin
kpty
kdesu
kemoticons
kjs
kjsembed
kmediaplayer
knotifyconfig
knewstuff
kross
kidletime
kitemmodels
threadweaver
kunitconversion
kdnssd
plasma-framework
krunner
ktexteditor
frameworkintegration
kdelibs4support
khtml"
source ../frameworks.conf
pkgname=kf5-kde-baseapps
pkgname=kde-baseapps-kf5
_pkgname=kde-baseapps
pkgver=4.98.0
#pkgver=${KFVersion}
......@@ -13,7 +13,9 @@ license=('LGPL')
depends=('kdelibs4support' 'kdesu' 'kf5-baloo-widgets' 'kactivities-frameworks' 'knewstuff')
makedepends=('extra-cmake-modules' 'kdoctools' 'git')
groups=('kf5')
conflicts=('kde-basapps')
conflicts=('kde-basapps' 'kf5-kde-baseapps')
provides=('kf5-kde-baseapps')
replaces=('kf5-kde-baseapps')
#source=("${KFServer}/${pkgver}/${_pkgname}-${pkgver}.tar.xz")
source=("git://anongit.kde.org/kde-baseapps#branch=frameworks")
md5sums=('SKIP')
......
#
# Chakra GNU/Linux Buildscript Config file
#
# Desktop v.10.08.2014
#
# These are the building "groups" or "package lists"
# (or stages"). Every group must be prefixed with
# "_build_" followed by the repo name_branch
# and finally a identifier like "support".
#
# You can create/delete/modify groups as you like,
# the buildscripts will detect all changes like
# new/deleted groups automatically and offer them
# in their options
_build_desktop_plasma="
kfilemetadata5
akonadi-qt5
baloo5-kf5
breeze
kde-cli-tools
libkscreen2
kio-extras
oxygen
oxygen-fonts
kwrited
kwin
libksysguard
ksysguard
plasma-workspace
powerdevil
#kde-workspace
khelpcenter
khotkeys
kinfocenter
kmenuedit
milou
systemsettings
plasma-desktop
"
_build_desktop_kf5="
extra-cmake-modules
kapidox
karchive
attica-qt5
ki18n
kconfig
kcoreaddons
kwindowsystem
kcrash
kdbusaddons
karchive
kdoctools
kservice
kauth
kcodecs
kconfig
kdoctools
kguiaddons
kjs
ki18n
kwidgetsaddons
kconfigwidgets
kitemviews
kiconthemes
kglobalaccel
kcompletion
kwindowsystem
kcrash
kdbusaddons
kservice
sonnet
ktextwidgets
kf5-attica
kglobalaccel
kxmlgui
kbookmarks
kcmutils
#libdbusmenu-qt5
knotifications
kwallet
solid
kjobwidgets
libdbusmenu-qt5
knotifications
kio
kactivities-frameworks
kcmutils
kdeclarative
kinit
kded
kplotting
kpty
kdesu
kwallet-framework
kparts
kplotting
kdewebkit
kdesignerplugin
kdnssd-framework
kpty
kdesu
kemoticons
kf5umbrella
kidletime
kimageformats
kitemmodels
kjs
kjsembed
kmediaplayer
kprintutils
knotifyconfig
knewstuff
kross
kunitconversion
kidletime
kitemmodels
threadweaver
kde4support
kfileaudiopreview
khtml
knewstuff
knotifyconfig
frameworkintegration
kactivities-frameworks-git
kunitconversion
kdnssd
plasma-framework
kf5-akonadi-git
kde-runtime
kde-workspace
konsole-git
plasma-nm
kate-git
krunner
ktexteditor
frameworkintegration
kdelibs4support
khtml"
\ No newline at end of file
......@@ -2,7 +2,7 @@
source ../frameworks.conf
pkgname=kf5-kde-workspace
pkgname=kde-workspace-kf5
_pkgname=kde-workspace
pkgver=0.plasma2tp
pkgrel=1
......@@ -17,6 +17,9 @@ depends=('frameworkintegration' 'kcmutils' 'knotifyconfig' 'kprintutils'
'kidletime' 'kitemmodels' 'threadweaver' 'kunitconversion' 'kross' 'kdoctools' 'kdeclarative' 'plasma-framework' 'freetype2')
makedepends=('extra-cmake-modules' 'git' 'qt5-tools')
options=("debug")
conflics=('kf5-kde-workspace')
provides=('kf5-kde-workspace')
replaces=('kf5-kde-workspace')
source=(${_pkgname}-${pkgver}.tar.bz2::"http://quickgit.kde.org/?p=kde-workspace.git&a=snapshot&h=4ba62f3059b3243ca3cd997a07af80555a3f4265&fmt=tbz2"
'presentwindows.patch'
'kglobalaccel.patch'
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kdeclarative
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='KDeclarative'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdeclarative'
license=('LGPL')
depends=('kio')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kded
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='KDE Daemon'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kded'
license=('LGPL')
depends=('kservice' 'kinit')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kdelibs4support
pkgver=${KFVersion}
pkgrel=5
pkgrel=1
pkgdesc='Library providing Job- and Qeueinterfaces'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/threadweaver'
license=('LGPL')
depends=('qt5-base' 'qt5-svg' 'kdoctools' 'kconfig' 'kcompletion' 'kconfigwidgets' 'kcrash' 'kdesignerplugin' 'kunitconversion')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kdesignerplugin
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='KDesignerPlugin'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdesignerplugin'
license=('LGPL')
depends=('kio' 'kplotting' 'kdewebkit')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kdesu
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='KDE Su'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdesu'
license=('LGPL')
depends=('kservice' 'kpty')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kdewebkit
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='KDE Webkit'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdewebkit'
license=('LGPL')
depends=('qt5-webkit' 'kwallet' 'kparts')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kdnssd
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='KDNSSD Framework'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdnssd'
license=('LGPL')
depends=('qt5-base' 'avahi')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kdoctools
pkgver=${KFVersion}
pkgrel=5
pkgrel=1
pkgdesc='Various tools to work with documentation'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kdoctools'
license=('LGPL')
depends=('karchive' 'docbook-xsl')
......
......@@ -4,9 +4,9 @@ source ../frameworks.conf
pkgname=kemoticons
pkgver=${KFVersion}
pkgrel=4
pkgrel=1
pkgdesc='KEmoticons'
arch=('i686' 'x86_64')
arch=('x86_64')
url='https://projects.kde.org/projects/frameworks/kemoticons'
license=('LGPL')
depends=('karchive' 'kservice')
......
# Contributor: Andrea Scarpino <andrea@archlinux.org>
# Contributor: Pierre Schmitz <pierre@archlinux.de>
source ../frameworks.conf
pkgname=kf5-akonadi-git
pkgver=v1.11.0.r81.g1894a32
pkgrel=1
arch=('i686' 'x86_64')
url='http://community.kde.org/KDE_PIM/Akonadi'
pkgdesc="PIM layer, which provides an asynchronous API to access all kind of PIM data"
license=('LGPL')
depends=('qt5-base' 'shared-mime-info' 'boost-libs' 'mariadb')
makedepends=('cmake' 'boost' 'postgresql' 'git')
optdepends=('postgresql: PostgreSQL backend')
options=("debug")
install=akonadi.install
conflicts=('kf5-akonadi')
provides=('kf5-akonadi')
source=("git://anongit.kde.org/akonadi.git")
md5sums=('SKIP')
pkgver() {
cd akonadi
git describe --long | sed -E 's/([^-]*-g)/r\1/;s/-/./g'
}
prepare() {
mkdir build
}
build() {
cd build
cmake ../akonadi \
-DCMAKE_BUILD_TYPE=${KFBuildType}\
-DCMAKE_INSTALL_PREFIX=${KFInstallPrefix} \
-DQT5_BUILD=ON \
-DWITH_SOPRANO=OFF
make
}
check() {
cd build
msg "why are those failing?"
make test || return 0
}
package() {
cd build
make DESTDIR="${pkgdir}" install
}
# Contributor: Andrea Scarpino <andrea@archlinux.org>
source ../frameworks.conf
pkgname=attica-qt5
_pkgname=attica
pkgver=${KFVersion}
pkgrel=4
arch=('i686' 'x86_64')
url='https://projects.kde.org/projects/kdesupport/${_pkgname}'
pkgdesc='A Qt5 library that implements the Open Collaboration Services API'
license=('LGPL')
depends=('qt5-base')
makedepends=('extra-cmake-modules')
checkdepends=("cmake")
options=("debug")
source=("${KFServer}/${pkgver}/${_pkgname}-${pkgver}.tar.xz")
replaces=("kf5-attica")
provides=("kf5-attica")
conflicts=("kf5-attica")
sha256sums=($(getSum $_pkgname))
prepare() {
mkdir -p build
}
build() {
cd build
cmake ../${_pkgname}-${pkgver} \
-DCMAKE_BUILD_TYPE=${KFBuildType} \
-DCMAKE_INSTALL_PREFIX=${KFInstallPrefix} \
-DQT4_BUILD=OFF \
-DLIB_INSTALL_DIR=lib
make
}
check() {
cd build
make test
}
package() {
cd build
make DESTDIR="${pkgdir}" install
}
# Contributor: Andrea Scarpino <andrea@archlinux.org>
source ../frameworks.conf
pkgname=kf5-kde-runtime
_pkgname=kde-runtime
pkgver=0.plasma2tp
pkgrel=1
pkgdesc='Plugins and applications necessary for the running of KDE applications'
arch=('i686' 'x86_64')
url='https://projects.kde.org/projects/kde/kde-runtime'
license=('LGPL')
depends=('qt5-x11extras' 'qt5-svg' 'openexr' 'exiv2' 'smbclient'
'kcmutils' 'kde4support' 'kemoticons'
'kio' 'knewstuff' 'knotifyconfig' 'kunitconversion'
'kconfig' 'kconfigwidgets' 'kf5umbrella' 'kidletime' 'kitemmodels'
'threadweaver' 'kinit' 'kross' 'kdeclarative' 'plasma-framework')
makedepends=('extra-cmake-modules' 'git' 'openslp')
source=(${_pkgname}-${pkgver}.tar.bz2::"http://quickgit.kde.org/?p=kde-runtime.git&a=snapshot&h=cbff222cf1d04ec3fa93c76f0acd3db93edebfb0&fmt=tbz2"
'ecm.patch'
'kcurrencycode.patch')
options=("debug")
md5sums=('SKIP'
'1f52720a74d0988269f5b965a748f9f0'
'caa9fe4a05ef62859d7116073a84b15c')
prepare() {
mkdir -p build
cd ${_pkgname}
patch -p1 -i "${srcdir}"/ecm.patch
patch -p1 -i "${srcdir}"/kcurrencycode.patch
}